

On ppc64, __u64 is `unsigned long', so:

fs/cifs/cifssmb.c: In function `CIFSSMBSetFileSize':
fs/cifs/cifssmb.c:2466: warning: long long int format, __u64 arg (arg 2)


---

 25-power4-akpm/fs/cifs/cifssmb.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN fs/cifs/cifssmb.c~cifssmb-warning-fix fs/cifs/cifssmb.c
--- 25-power4/fs/cifs/cifssmb.c~cifssmb-warning-fix	2004-04-25 23:56:03.372864192 -0700
+++ 25-power4-akpm/fs/cifs/cifssmb.c	2004-04-25 23:56:36.363848800 -0700
@@ -2463,7 +2463,8 @@ CIFSSMBSetFileSize(const int xid, struct
 	int bytes_returned = 0;
 	__u32 tmp;
 
-	cFYI(1, ("SetFileSize (via SetFileInfo) %lld",size));
+	cFYI(1, ("SetFileSize (via SetFileInfo) %lld",
+			(long long)size));
 	rc = smb_init(SMB_COM_TRANSACTION2, 15, tcon, (void **) &pSMB,
 		      (void **) &pSMBr);
 	if (rc)

_
